JBoss API: Class StatelessSessionEnterpriseContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class StatelessSessionEnterpriseContext

    java.lang.Object
      |
      +--org.jboss.ejb.EnterpriseContext
            |
            +--org.jboss.ejb.StatelessSessionEnterpriseContext

public class StatelessSessionEnterpriseContext
extends EnterpriseContext

Version:
  $Revision: 1.8.4.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Sebastien Alborini
See Also:

Inner Class Summary
`protected class` | `StatelessSessionEnterpriseContext.SessionContextImpl`

Inner classes inherited from class org.jboss.ejb.EnterpriseContext
`EnterpriseContext.EJBContextImpl, EnterpriseContext.UserTransactionImpl`

Fields inherited from class org.jboss.ejb.EnterpriseContext
`log`

Constructor Summary
`StatelessSessionEnterpriseContext(java.lang.Object instance, Container con)`

Method Summary
`void` | `discard()`
`javax.ejb.EJBContext` | `getEJBContext()` Get the EJBContext object
`javax.ejb.EJBLocalObject` | `getEJBLocalObject()`
`javax.ejb.EJBObject` | `getEJBObject()`
`javax.ejb.SessionContext` | `getSessionContext()`
`void` | `setEJBLocalObject(javax.ejb.EJBLocalObject eo)`
`void` | `setEJBObject(javax.ejb.EJBObject eo)`

Methods inherited from class org.jboss.ejb.EnterpriseContext
`clear, getContainer, getId, getInstance, getTransaction, getTxLock, isLocked, lock, setId, setInstance, setPrincipal, setTransaction, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatelessSessionEnterpriseContext

    public StatelessSessionEnterpriseContext(java.lang.Object instance,
                                             Container con)
                                      throws java.lang.Exception

Method Detail

### setEJBObject

    public void setEJBObject(javax.ejb.EJBObject eo)

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

### setEJBLocalObject

    public void setEJBLocalObject(javax.ejb.EJBLocalObject eo)

### getEJBLocalObject

    public javax.ejb.EJBLocalObject getEJBLocalObject()

### getSessionContext

    public javax.ejb.SessionContext getSessionContext()

### discard

    public void discard()
                 throws java.rmi.RemoteException

  Overrides:
    `discard` in class `EnterpriseContext`

### getEJBContext

    public javax.ejb.EJBContext getEJBContext()

  Description copied from class: `EnterpriseContext`
  Get the EJBContext object
  Overrides:
    `getEJBContext` in class `EnterpriseContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.